Subject: bug#36581: Installing 389-ds-base doesn't appear to result in a working LDAP server

From: "Brant Gardner" <[email-masked]>
Date: Wed, 10 Jul 2019 13:02:18 -0500

I used the quickstart documentation for all my testing, located here: https://directory.fedoraproject.org/docs/389ds/howto/quickstart.html

Initially I ran into trouble because the 'dirsrv' user and group are apparently expected to already exist, so I added this to my config.scm and ran guix system reconfigure:

 (groups (cons*
 ;; To support 389-ds-base 
 (user-group (name "dirsrv"))
 %base-groups))

 (users (cons*
 ...snip...
 ;; To support 389-ds-base 
 (user-account
 (name "dirsrv")
 (comment "LDAP Server User")
 (group "users")
 (supplementary-groups '("netdev" "dirsrv"))
 (home-directory "/home/dirsrv"))
 %base-user-accounts))

After this, I generated a template config file with:

# dscreate create-template > gardner.inf

Then I read through the resulting template file and modified only these values:
- password
- server FQDN
- instance name (gardner)
- selinux (False)
- suffix (dc=gardner,dc=local)

Finally I tried to create the new instance with:

# dscreate from-file /root/gardner.inf

This said "Starting installation...", then paused for about 60 seconds and then said:

Error: Failed to start DS, removing incomplete installation...
Error:

Note that even though it claims to, it did not actually remove the incomplete installation, as trying the same command again results in:

Starting installation...
Error: Another instance named 'gardner' may already exist

Checking the logs, I found only this line in /var/log/debug that seems related:

Jul 10 12:49:09 localhost ns-slapd: looking for plugins in '/usr/lib/x86_64-linux-gnu', failed to open directory, error: No such file or directory

Thanks for any suggestions,

--
Brant Gardner